<bugID>347720<Summary>Pad location/search bars like other toolbar elements</Summary><Description>I think there should be a few pixels more space between Home (or any other icon) and the location bar.
I'll attach a screenshot.</Description></bugID>